# Praktische Versuche

Der gewählte Messaufbau wurde an zwei Kernschießanlagen getestet. Dazu wurden alle benötigten Sensoren im Steuerungsschrank temporär verbaut und die aufgenommenen Daten extern mit einer weiteren ET200 Siemens Steuerung verarbeitet. Bei den Kernschießmaschinen handelt es sich um eine Anlage mit einer Steuerung von Siemens und eine mit einer Allen-Bradley Steuerung. In beiden Versuchen wurden die elektrischen Werte der Einspeisung, die Ströme der Kleinstspannungsverbraucher und der Anlagenstatus anhand des Programms auf der Steuerung aufgezeichnet.

## Siemens Anlage

![Siemens Versuch](out/diagrams/hengli/Hengli.svg)

## Allen-Bardley Anlage

![AB Versuch](out/diagrams/benton/Benton.svg)


## Vergleich der Versuche

In den Versuchen konnten fast identische externe Komponenten eingesetzt werden. Der einzige Unterschied in der Hardware war die Verwendung von Stromwandlern mit unterschiedlichen Umsetzungsfaktoren. Im ersten Test wurden Wandler mit einem Umsetzungsfaktor von 150A:5A eingesetzt, während im zweiten Test ein Faktor von 50A:5A ausreichend war. Die Kommunikation mit den Sensoren war in beiden Fällen identisch, da dies durch eine externe Steuerung übernommen wurde. In Zukunft wird für den Aufbau jedoch keine externe Steuerung mehr nötig sein, denn diese übermittelnde Funtion der ET200 CPU soll auch durch die Steuerung der jeweiligen Anlage übernommen werden.

Die Versuche unterschieden sich auch im Kommunikationsprotkoll zwischen dem Computer und der jeweiligen Steuerung der Anlage. Es wurden zwei unterschiedliche Versionen der verarbeitungssoftware eingesetzt; bei der einen fand die Kommunikation mit der Steuerung über des S7-Protokoll statt und bei der anderen über EtherNet-IP. Beide Protokolle bauen auf TCP/IP auf und sind so beide in der Anwendungsschicht des Internetprotokolls anzufinden.